# 35. Мутація: Додати "Comment" до вибраної "Note"

Ця мутація дозволяє додати Коментар до обраної Нотатки.

* Коментар можна пов’язати з Полем через його унікальний ідентифікатор `fieldUuid` і з Нотаткою через `noteUuid`.
* Вміст Коментаря можна передати за допомогою `текст` атрибуту. Якщо вміст має бути багато рядковим, `текст` атрибут повинен містити рядок з символами нового рядка `\\n` щоб розділяти рядки. Наприклад: `"Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут."`.
* Можна встановити визначений час, пов’язаний з коментарем, використовуючи `датаСтворення` атрибут у форматі ISO8601.

Приклади запитів можна знайти нижче:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Перший коментар із кількох.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаСтворення
    updatedDate
    текст
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Перший рядок тут\\nДругий рядок тут.\\nТретій рядок тут.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    датаСтворення
    updatedDate
    текст
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/notatki-markeri/35.-mutaciya-dodati-comment-do-vibranoyi-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
